"use strict";

/* exported logger */

var Helper = require('../../helper');

require('../../mocha-config.js');

var Footer = require('../../../../main/js/gui/leftPanel/Footer');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../../logger');

describe('Footer', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('constructor', function() {
    var map = helper.createCustomMap();

    new Footer({
      element : testDiv,
      customMap : map
    });

    assert.equal(logger.getWarnings().length, 0);

  });

  it('link clicks', function() {
    var map = helper.createCustomMap();

    new Footer({
      element : testDiv,
      customMap : map
    });

    var promises = [];
    $("a", testDiv).each(function(index, element) {
      promises.push(new Promise(function(resolve) {
        var fun = element.onclick;
        if (fun) {
          resolve(fun());
        } else {
          resolve(null);
        }
      }));
    });
    return Promise.all(promises);
  });

});
