"use strict";

var Helper = require('../../helper');

require('../../mocha-config.js');

var PublicationListDialog = require('../../../../main/js/gui/leftPanel/PublicationListDialog');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../../logger');

describe('PublicationListDialog', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('contructor', function() {
    var div = testDiv;

    var map = helper.createCustomMap();

    var dialog = new PublicationListDialog({
      element : div,
      customMap : map
    });
    assert.equal(logger.getWarnings().length, 0);

    dialog.destroy();
  });

  it('_dataTableAjaxCall', function() {
    return ServerConnector.getProject().then(function(project) {
      var div = testDiv;
      var dialog = new PublicationListDialog({
        element : div,
        customMap : helper.createCustomMap(project),
      });
      return dialog._dataTableAjaxCall({
        start : 0,
        length : 10
      }, function() {
      }, {}).then(function() {
        dialog.destroy();
      });
    });
  });

});
